summaryrefslogtreecommitdiffstats
path: root/src/grep/tests/grep-dev-null-out
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-11 08:21:29 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-11 08:21:29 +0000
commit29cd838eab01ed7110f3ccb2e8c6a35c8a31dbcc (patch)
tree63ef546b10a81d461e5cf5ed9e98a68cd7dee1aa /src/grep/tests/grep-dev-null-out
parentInitial commit. (diff)
downloadkbuild-29cd838eab01ed7110f3ccb2e8c6a35c8a31dbcc.tar.xz
kbuild-29cd838eab01ed7110f3ccb2e8c6a35c8a31dbcc.zip
Adding upstream version 1:0.1.9998svn3589+dfsg.upstream/1%0.1.9998svn3589+dfsg
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/grep/tests/grep-dev-null-out')
-rwxr-xr-xsrc/grep/tests/grep-dev-null-out13
1 files changed, 13 insertions, 0 deletions
diff --git a/src/grep/tests/grep-dev-null-out b/src/grep/tests/grep-dev-null-out
new file mode 100755
index 0000000..397a3f1
--- /dev/null
+++ b/src/grep/tests/grep-dev-null-out
@@ -0,0 +1,13 @@
+#!/bin/sh
+# Outputting to /dev/null.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+require_timeout_
+
+${AWK-awk} 'BEGIN {while (1) print "x"}' </dev/null |
+ returns_ 124 timeout 10 grep x >/dev/null || fail=1
+
+echo abc | grep b >>/dev/null || fail=1
+
+Exit $fail